## tkpng 0.9

=== debian/changelog ===
tkpng (0.9-4) unstable; urgency=medium

  * Team upload.
  * Change dependencies and build dependenciest to Tcl/Tk 8.6 because
    tkpng is not needed for Tcl/Tk 9.0 (or Tcl/Tk 8.7).
  * Install the library into /usr/lib/tcltk/$(DEB_HOST_MULTIARCH), which
    makes the binary package multi-arch same.
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 28 Mar 2025 12:24:03 +0300

tkpng (0.9-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with ld --as-needed (closes: #639284, #641400).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Mar 2018 08:17:46 +0300

tkpng (0.9-2) unstable; urgency=medium

  * Team upload.
  * Switch to the default Tcl/Tk version from 8.5 since the latter is to be
    removed from Debian (closes: #887916).
  * Convert to 3.0 (quilt) source package format.
  * Remove useless build dependency on autotools-dev.
  * Change the package priority to optional since extra priority is
    deprecated.
  * Replace the old Alioth VCS headers by the new Salsa ones.
  * Bump the debhelper compatibility level to 10.
  * Bump the standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 16 Mar 2018 17:17:11 +0300

tkpng (0.9-1) unstable; urgency=low

  * Initial release.

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 12 Nov 2008 14:06:43 +0100
