=== debian/control ===
Source: tkpng
Section: devel
Priority: optional
Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper-compat (= 13), tcl8.6-dev, tk8.6-dev, zlib1g-dev
Standards-Version: 4.7.2
Homepage: http://www.muonics.com/FreeStuff/TkPNG/
Vcs-Browser: https://salsa.debian.org/tcltk-team/tkpng
Vcs-Git: https://salsa.debian.org/tcltk-team/tkpng.git

Package: tkpng
Architecture: any
Multi-Arch: same
Depends: tk8.6, ${shlibs:Depends}, ${misc:Depends}
Provides: tk8.6-tkpng (= ${binary:Version})
Description: PNG photo image support to Tcl/Tk
 TkPNG is an open source binary package that adds PNG photo image support
 to Tcl/Tk. Although other extensions such as Img also add support for PNG
 images, this package was designed to be lightweight, not depending on
 libpng nor implementing other image formats, and suitable for inclusion in
 the Tk core.
