=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TCLV = 8.6

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

config: config-stamp
config-stamp: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) \
	--prefix=/usr \
	--mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info \
	--with-tcl=/usr/lib/tcl$(TCLV) \
	--with-tk=/usr/lib/tk$(TCLV) \
	--with-tclinclude=/usr/include/tcl$(TCLV) \
	--with-tkinclude=/usr/include/tcl$(TCLV) \
	CFLAGS="$(CFLAGS)" \
	LDFLAGS="-Wl,-z,defs -Wl,--no-undefined -Wl,--as-needed" \
	LIBS="-lm"
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config
	dh_testdir
	$(MAKE)
	#docbook-to-man debian/tkpng.sgml > tkpng.1
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp config-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess config.cache config.log
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install \
		prefix=$(CURDIR)/debian/tkpng/usr \
		DESTDIR=$(CURDIR)/debian/tkpng \
		DIST_DIR=$(CURDIR)/debian/tkpng
	find $(CURDIR)/debian/tkpng -empty -type d -delete
	mkdir -p $(CURDIR)/debian/tkpng/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)
	mv $(CURDIR)/debian/tkpng/usr/lib/tkpng* $(CURDIR)/debian/tkpng/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: config build clean binary-indep binary-arch binary install
